%global pypi_name pyeclib

Summary:        Python interface to erasure codes
Name:           python-%{pypi_name}
Version:        1.6.1
Release:        2%{?dist}
License:        BSD
URL:            https://github.com/openstack/%{pypi_name}
Source0:        %{pypi_source}

Patch3000:      %{pypi_name}-1.6.0-noexplib.patch

BuildRequires:  python3-devel python3-setuptools liberasurecode-devel

%description
This library provides a simple Python interface for implementing erasure codes. A number of back-end
implementations is supported either directly or through the C interface liberasurecode.

%package -n python3-%{pypi_name}
Summary:        Python 3 interface to erasure codes
Requires:       liberasurecode

%description -n python3-%{pypi_name}
This library provides a simple Python 3 interface for implementing erasure codes. A number of
back-end implementations is supported either directly or through the C interface liberasurecode.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install
 
%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitearch}/%{pypi_name}*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.1-2
- Rebuilt for loongarch release

* Tue Sep 26 2023 jackeyji <jackeyji@tencent.com> - 1.6.1-1
- upgrade to 1.6.1

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.0-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Apr 14 2023 Shuo Wang <abushwang@tencent.com> - 1.6.0-1
- initial build
